Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Core/SignalSlot/FieldTypeService.php
Go to the documentation of this file.
1 <?php
2
7 namespace eZ\Publish\Core\SignalSlot;
8
9 use eZ\Publish\API\Repository\FieldTypeService as FieldTypeServiceInterface;
10
14 class FieldTypeService implements FieldTypeServiceInterface
15 {
21 protected $service;
22
28 protected $signalDispatcher;
29
39 public function __construct(FieldTypeServiceInterface $service, SignalDispatcher $signalDispatcher)
40 {
41 $this->service = $service;
42 $this->signalDispatcher = $signalDispatcher;
43 }
44
50 public function getFieldTypes()
51 {
52 return $this->service->getFieldTypes();
53 }
54
65 public function getFieldType($identifier)
66 {
67 return $this->service->getFieldType($identifier);
68 }
69
77 public function hasFieldType($identifier)
78 {
79 return $this->service->hasFieldType($identifier);
80 }
81 }
eZ\Publish\Core\SignalSlot\FieldTypeService
FieldTypeService class.
Definition: Core/SignalSlot/FieldTypeService.php:15
eZ\Publish\Core\SignalSlot\FieldTypeService\__construct
__construct(FieldTypeServiceInterface $service, SignalDispatcher $signalDispatcher)
Constructor.
Definition: Core/SignalSlot/FieldTypeService.php:39
eZ\Publish\Core\SignalSlot\FieldTypeService\$service
$service
Definition: Core/SignalSlot/FieldTypeService.php:21
eZ\Publish\Core\SignalSlot\FieldTypeService\$signalDispatcher
$signalDispatcher
Definition: Core/SignalSlot/FieldTypeService.php:28
eZ\Publish\Core\SignalSlot\FieldTypeService\hasFieldType
hasFieldType($identifier)
Returns if there is a FieldType registered under $identifier.
Definition: Core/SignalSlot/FieldTypeService.php:77
eZ\Publish\Core\SignalSlot\FieldTypeService\getFieldType
getFieldType($identifier)
Returns the FieldType registered with the given identifier.
Definition: Core/SignalSlot/FieldTypeService.php:65
eZ\Publish\Core\SignalSlot\FieldTypeService\getFieldTypes
getFieldTypes()
Returns a list of all field types.
Definition: Core/SignalSlot/FieldTypeService.php:50
eZ\Publish\Core\SignalSlot\SignalDispatcher
Dispatches Signals to their assigned Slots.
Definition: SignalDispatcher.php:20
eZ\Publish\API\Repository\FieldTypeService
An implementation of this class provides access to FieldTypes.
Definition: API/Repository/FieldTypeService.php:15
eZ\Publish\Core\SignalSlot
Definition: Core/SignalSlot/BookmarkService.php:9
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.